/**
 * click events for footer social media badges
 * @type {{ init: socialMediaBadges.init }}
 */
import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickSocialMedia } from '../util/gtm/tags-collection';

export const socialMediaBadges = (() => ({
  init: function () {
    // buyer-app google && play store links
    $('.social-link').on('click', function (event) {
      const href = $(this).attr('href');

      if (href.match(/facebook/)) {
        pushTagToGTM({ ...userClickSocialMedia, label: 'facebook' });
      } else if (href.match(/linkedin/)) {
        pushTagToGTM({ ...userClickSocialMedia, label: 'linkedin' });
      } else if (href.match(/instagram/)) {
        pushTagToGTM({ ...userClickSocialMedia, label: 'instagram' });
      } else if (href.match(/xing/)) {
        pushTagToGTM({ ...userClickSocialMedia, label: 'xing' });
      }
    });
  }
}))();
